Package lxml :: Package tests :: Module test_etree

[hide private]
[frames] | no frames]

# Module test_etree

source code

Tests specific to the extended etree API

Tests that apply to the general ElementTree API should go into test_elementtree

Classes | [hide private]

| ETreeOnlyTestCase Tests only for etree, not ElementTree
| _XIncludeTestCase
| ETreeXIncludeTestCase
| ElementIncludeTestCase
| ETreeC14NTestCase
| ETreeWriteTestCase
| ETreeErrorLogTest

Functions | [hide private]

test_suite() | source code

Variables | [hide private]

| this_dir = ``'``/home/stefan/source/Python/lxml/lxml-release/src/l``...``
| __package__ = ``'``lxml.tests``'``

Variables Details | [hide private]

### this_dir

Value:

      '/home/stefan/source/Python/lxml/lxml-release/src/lxml/tests'